%define version	3.1.2
%define release	%mkrel 11
%define name	sitescooper

Name:		%{name}
Summary:	Convert websites for reading on a Palm
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://sitescooper.org/
Source:		%{name}-%{version}.tar.bz2
BuildArch:	noarch
Requires:	perl-DB_File

%define _requires_exceptions perl(in)\\|perl(to)\\|perl(Win32::Process)\\|perl(MacPerl)\\|perl(Win32::TieRegistry)
%define _provides_exceptions perl(Algorithm::Diff)

%description
Sitescooper automatically retrieves the stories from several news websites,
trims off extraneous HTML, and converts them into formats you can read on your
Palm computing device later, on-the-move.  Even if you don't have a Palm
handheld, it's still handy for simple website-to-text conversion. 


%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
%make PREFIX=$RPM_BUILD_ROOT/%{_prefix} RAW_PREFIX=%{_prefix} ETC=$RPM_BUILD_ROOT%{_sysconfdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} install || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/sitescooper
%{_datadir}/sitescooper/*
%config(noreplace) %{_sysconfdir}/sitescooper.cf
%doc	README.txt CHANGES.txt
%doc	doc/*



%changelog
* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 3.1.2-11mdv2010.0
+ Revision: 433838
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.2-10mdv2009.0
+ Revision: 260735
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.2-9mdv2009.0
+ Revision: 252494
- rebuild
- fix no-buildroot-tag

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.1.2-7mdv2008.1
+ Revision: 127300
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import sitescooper


* Tue Dec 21 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.1.2-7mdk
- Don't provide an obsolescent Algorithm::Diff

* Sun Jul 27 2003 Marcel Pol <mpol@gmx.net> 3.1.2-6mdk
- requires perl-DB_File

* Sun Jul 27 2003 Marcel Pol <mpol@gmx.net> 3.1.2-5mdk
- from David Walser:
  - fix description
  - noarch
  - correct requires_exceptions

* Sun Jul 26 2003 Marcel Pol <mpol@gmx.net> 3.1.2-4mdk
- don't use -full package, but minimal package (David Walser)
- requires_exceptions

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 3.1.2-3mdk
- formatting
- don't require perl(in)

* Thu Jun 12 2003 Marcel Pol <mpol@gmx.net> 3.1.2-2mdk
- rebuild for rpm 4.2

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Tue Dec 26 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-1mdk
- new version

* Mon Sep 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.7-2mdk
- BM
- macros

* Tue May 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.7-1mdk
- new in contribs

